[Fai-commit] r5254 - in people/lazyboy/fai-distributions: . debian etc sbin

lazyboy-guest at alioth.debian.org lazyboy-guest at alioth.debian.org
Mon Feb 9 16:59:09 UTC 2009


Author: lazyboy-guest
Date: 2009-02-09 16:59:09 +0000 (Mon, 09 Feb 2009)
New Revision: 5254

Modified:
   people/lazyboy/fai-distributions/Makefile
   people/lazyboy/fai-distributions/debian/changelog
   people/lazyboy/fai-distributions/debian/files
   people/lazyboy/fai-distributions/etc/DIST-UBUNTU_INTREPID.conf
   people/lazyboy/fai-distributions/sbin/fai-make-base-tgz
Log:
add intrepid stuff

Modified: people/lazyboy/fai-distributions/Makefile
===================================================================
--- people/lazyboy/fai-distributions/Makefile	2009-02-09 12:22:33 UTC (rev 5253)
+++ people/lazyboy/fai-distributions/Makefile	2009-02-09 16:59:09 UTC (rev 5254)
@@ -35,8 +35,8 @@
 
 	# FIXME: those links don't work anyway... fix then re-enable the links
 	#for dist in `ls dists`; do \
-		ln -s /usr/lib/$(PACKAGENAME)/$$dist/make-base-tgz $(DESTDIR)/usr/sbin/make-$$dist-base-tgz; \
-		chmod +x $(DESTDIR)/usr/sbin/make-$$dist-base-tgz; \
+	#	ln -s /usr/lib/$(PACKAGENAME)/$$dist/make-base-tgz $(DESTDIR)/usr/sbin/make-$$dist-base-tgz; \
+	#	chmod +x $(DESTDIR)/usr/sbin/make-$$dist-base-tgz; \
 	#done
 	install etc/* $(CONFDIR)
 

Modified: people/lazyboy/fai-distributions/debian/changelog
===================================================================
--- people/lazyboy/fai-distributions/debian/changelog	2009-02-09 12:22:33 UTC (rev 5253)
+++ people/lazyboy/fai-distributions/debian/changelog	2009-02-09 16:59:09 UTC (rev 5254)
@@ -1,3 +1,21 @@
+fai-distributions (0.1-13ubuntu1) hardy; urgency=low
+
+  * fix script
+
+ -- Henning Sprang <henning at sprang.de>  Mon, 09 Feb 2009 17:58:56 +0100
+
+fai-distributions (0.1-13) hardy; urgency=low
+
+  * add intrepid config
+
+ -- Henning Sprang <henning at sprang.de>  Mon, 09 Feb 2009 16:28:23 +0100
+
+fai-distributions (0.1-10ubuntu1) hardy; urgency=low
+
+  * add hardy config
+
+ -- Henning Sprang <henning at sprang.de>  Mon, 09 Feb 2009 16:28:18 +0100
+
 fai-distributions (0.1-10) unstable; urgency=low
 
   * add ubuntu dapper config 

Modified: people/lazyboy/fai-distributions/debian/files
===================================================================
--- people/lazyboy/fai-distributions/debian/files	2009-02-09 12:22:33 UTC (rev 5253)
+++ people/lazyboy/fai-distributions/debian/files	2009-02-09 16:59:09 UTC (rev 5254)
@@ -1 +1 @@
-fai-distributions_0.1-10_i386.deb unknown optional
+fai-distributions_0.1-13_i386.deb unknown optional

Modified: people/lazyboy/fai-distributions/etc/DIST-UBUNTU_INTREPID.conf
===================================================================
--- people/lazyboy/fai-distributions/etc/DIST-UBUNTU_INTREPID.conf	2009-02-09 12:22:33 UTC (rev 5253)
+++ people/lazyboy/fai-distributions/etc/DIST-UBUNTU_INTREPID.conf	2009-02-09 16:59:09 UTC (rev 5254)
@@ -2,10 +2,10 @@
 MIRROR_LOCATION="http://de.archive.ubuntu.com/ubuntu"
 
 # where to find the deboostrap package
-BOOTSTRAP_ARCHIVE=http://ftp.de.debian.org/debian/pool/main/d/debootstrap/
+BOOTSTRAP_ARCHIVE=http://mirrors.kernel.org/ubuntu/pool/main/d/debootstrap/
 
 # name of the package
-BOOTSTRAP_PACKAGE=debootstrap_1.0.9_all.deb
+BOOTSTRAP_PACKAGE=debootstrap_1.0.10_all.deb
 
 DEBOOTSTRAP_DIST_NAME="intrepid"
 DEBOOTSTRAP_ARCH="i386"

Modified: people/lazyboy/fai-distributions/sbin/fai-make-base-tgz
===================================================================
--- people/lazyboy/fai-distributions/sbin/fai-make-base-tgz	2009-02-09 12:22:33 UTC (rev 5253)
+++ people/lazyboy/fai-distributions/sbin/fai-make-base-tgz	2009-02-09 16:59:09 UTC (rev 5254)
@@ -31,19 +31,40 @@
 
 PATH=/usr/local/bin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin
 
+# TODO: base bootstrapper dir should be defined in (not yet existing)
+# generic config file)
+BOOTSTRAP_DIR=/var/lib/fai-distributions/bootstrappers/$DISTRIBUTION
 
+
+
 if [ `id -u` -ne 0 ]; then
     echo "Run this program as root."
     exit 9
 fi
 
-while getopts vc:f:d: opt ; do
+while getopts vc:f:d:n opt ; do
     case "$opt" in
-        d) DISTRIBUTION=$OPTARG ;;
-        c) cfdir=$OPTARG ;;
-        v) verbose=1 ; v=-v ;;
-        f) cfg=$OPTARG ;;
-        ?) exit 5 ;; # error in option parsing
+        d) 
+            DISTRIBUTION=$OPTARG 
+        ;;
+        c) 
+            cfdir=$OPTARG 
+        ;;
+        v) 
+            verbose=1 ;
+            v=-v 
+            set -x
+        ;;
+        f) 
+            cfg=$OPTARG 
+        ;;
+        n) 
+            NATIVE_DEBOOTSTRAP=true
+        ;;
+        ?) 
+            echo error in option parsing
+            exit 5 
+        ;; # error in option parsing
     esac
 done
 
@@ -83,25 +104,23 @@
 fi
 
 
-# TODO: base bootstrapper dir should be defined in (not yet existing)
-# generic config file)
-BOOTSTRAP_DIR=/var/lib/fai-distributions/bootstrappers/$DISTRIBUTION
-
 # cleanup dir if it already exists!
 if [ -d $BOOTSTRAP_DIR ]; then
 	rm -r $BOOTSTRAP_DIR
 fi
 
 mkdir -p $BOOTSTRAP_DIR
-cd $BOOTSTRAP_DIR
 
-wget $BOOTSTRAP_ARCHIVE/$BOOTSTRAP_PACKAGE
+if [ -z $NATIVE_DEBOOTSTRAP ]; then
+    cd $BOOTSTRAP_DIR
 
+    wget $BOOTSTRAP_ARCHIVE/$BOOTSTRAP_PACKAGE
 
-# extact debootstrap archive
-dpkg-deb -x $BOOTSTRAP_PACKAGE .
+    # extact debootstrap archive
+    dpkg-deb -x $BOOTSTRAP_PACKAGE .
 
-cd -
+    cd -
+fi
 
 # TODO: put into generic config file
 FAI_TMP_BASEDIR=/tmp/fai/distributions
@@ -140,12 +159,16 @@
 
 cd `dirname $0`
 
-#export DEBOOTSTRAP_DIR=$BOOTSTRAP_DIR/usr/lib/debootstrap/
-export DEBOOTSTRAP_DIR=$BOOTSTRAP_DIR/usr/share/debootstrap/
 
-echo run $BOOTSTRAP_DIR/usr/sbin/debootstrap $DEBOOTSTRAP_OPTIONS
-$BOOTSTRAP_DIR/usr/sbin/debootstrap $DEBOOTSTRAP_OPTIONS
+if [ -z $NATIVE_DEBOOTSTRAP ]; then
+    #export DEBOOTSTRAP_DIR=$BOOTSTRAP_DIR/usr/lib/debootstrap/
+    export DEBOOTSTRAP_DIR=$BOOTSTRAP_DIR/usr/share/debootstrap/
+    DEBOOTSTRAP_BASE=$BOOTSTRAP_DIR
+fi
 
+echo run $DEBOOTSTRAP_BASE/usr/sbin/debootstrap $DEBOOTSTRAP_OPTIONS
+$DEBOOTSTRAP_BASE/usr/sbin/debootstrap $DEBOOTSTRAP_OPTIONS
+
 chroot $TMP_CHROOT_DIR apt-get clean
        
 
@@ -159,7 +182,8 @@
     mkdir $FAI_CONFIGDIR/basefiles
 }
 
-tar cfz $FAI_CONFIGDIR/basefiles/$DISTRIBUTION.tar.gz
+echo "packing bae image from pwd: `pwd`"
+tar cfz $FAI_CONFIGDIR/basefiles/$DISTRIBUTION.tar.gz .
 
 chroot $TMP_CHROOT_DIR umount /dev
 chroot $TMP_CHROOT_DIR umount /.dev




More information about the Fai-commit mailing list